%define name gtuner
%define version 0.4.0
%define release 4mdk

Summary: Gnome Video4Linux Radio Tuner
Name: %{name}
Version: %{version}
Release: %{release}
Source0: gtuner-%{version}.tar.bz2
Patch0: gtuner-sysconfig.patch.bz2
Group: Video
License: GPL
URL: http://www.gtuner.seul.org/
BuildRoot: %{_tmppath}/%{name}-buildroot

%description
gtuner is a radio tuner application for use with V4L compatible radio
tuner cards that offers a complex layout engine, and a lot of eye-candy.

%prep
rm -rf $RPM_BUILD_ROOT

%setup
%patch0 -p1

%build
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%{_prefix} --localstatedir=/var/lib --sysconfdir=%{_sysconfdir} --with-install-root=%{_tmppath}/%{name}-buildroot
make all


sed -e "s/local\///g" gtunerrc > gtunerrc.tmp
cp -f gtunerrc.tmp gtunerrc

%install
make sysconfdir="$RPM_BUILD_ROOT/etc" prefix="$RPM_BUILD_ROOT/usr" ROOT="$RPM_BUILD_ROOT" install

(cd $RPM_BUILD_ROOT
mkdir -p ./usr/lib/menu
cat > ./usr/lib/menu/%{name} <<EOF
?package(%{name}):\
command="/usr/bin/gtuner"\
title="Gtuner"\
longtitle="Radio tuner application"\
needs="x11"\
section="Multimedia/Sound"
EOF
)
 
%post
%{update_menus}
 
%postun
%{clean_menus} 


%files
%attr(755,root,root) /usr/lib/gtuner/*.so
%defattr(-,root,root)
%{_bindir}/gtuner
%config %{_sysconfdir}/gtunerrc
%{_datadir}/pixmaps/gtuner.png
%{_datadir}/gnome/apps/Multimedia/gtuner.desktop
%{_datadir}/gtuner/*
%{_libdir}/gtuner/*.la
%{_libdir}/menu/*

%doc README AUTHORS NEWS TODO ChangeLog BUGS

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Wed Jul 25 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.4.0-4mdk
- rebuild

* Thu Jan 11 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.4.0-3mdk
- rebuild

* Tue Sep 05 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.4.0-2mdk
- BM 
- menu

* Tue Apr 11 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.4.0-1mdk
- new in contribs
- used srpm provided by J. Nick Koston <koston@linux-mandrake.com> 
